/*************************************************
Copyright (C), 2000-2010, Sumavision Tech. Co., Ltd.
File name: 		card_common.js  
Author:			wangyuqi
Version:		v1.0
Date: 			2013/05/08
Description:  	C515CI卡页面公用js代码模块
*************************************************/
//index value
var CARD_CAM_CONFIG = 1;
var CARD_CAM_INFO = 2;
var CARD_CAM_DESCRAMBLE = 3;
var DESCRAMB_STATUS = 4;
var CARD_BISS_CONFIG = 5;
var PORT_CONFIG = 6;
var PORT_MONITOR = 7;

var errorEn = ["",
			   "The parameter value is illegal!"];

var errorCn = ["",
			   "非法参数值！"];
			   
var returnError = [errorEn, errorCn];

/*************************************************
Function: 		pageJump
Description: 	横向菜单的切换
Input: 			index: page index
Output: 		无
Return: 		无
Others: 		无
*************************************************/
function pageJump(index)
{
	if(index == CARD_CAM_CONFIG)
	{
		self.location.replace("card_cam" + pageLanguage[language] + "?slotNo=" + slotNo);
 	}
	else if(index == CARD_CAM_INFO)
 	{
		self.location.replace("card_cam_monitor" + pageLanguage[language] + "?slotNo=" + slotNo);
	}
 	else if(index == CARD_CAM_DESCRAMBLE)
 	{
		self.location.replace("card" + pageLanguage[language] + "?slotNo=" + slotNo);
	}
 	else if(index == CARD_BISS_CONFIG)
 	{
		self.location.replace("card_biss" + pageLanguage[language] + "?slotNo=" + slotNo);
	}
	else if(index == PORT_CONFIG)
	{
		self.location.replace("port_config" + pageLanguage[language] + "?slotNo=" + slotNo + "&portNo=" + portNo);
	}
 	else if(index == PORT_MONITOR)
 	{
		self.location.replace("port" + pageLanguage[language] + "?slotNo=" + slotNo + "&portNo=" + portNo);
	}
}